org.jfree.util

## Class Log.SimpleMessage

- java.lang.Object
- - org.jfree.util.Log.SimpleMessage

- Enclosing class:
    Log

      public static class Log.SimpleMessage
      extends java.lang.Object

  A simple message class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleMessage(java.lang.String message, java.lang.Object param1)` Creates a new message.
    `SimpleMessage(java.lang.String message, java.lang.Object[] param)` Creates a new message.
    `SimpleMessage(java.lang.String message, java.lang.Object param1, java.lang.Object param2)` Creates a new message.
    `SimpleMessage(java.lang.String message, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a new message.
    `SimpleMessage(java.lang.String message, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3, java.lang.Object param4)` Creates a new message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns a string representation of the message (useful for debugging).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMessage

          public SimpleMessage(java.lang.String message,
                               java.lang.Object param1)

      Creates a new message.
      Parameters:
        `message` - the message text.
        `param1` - parameter 1.

    - #### SimpleMessage

          public SimpleMessage(java.lang.String message,
                               java.lang.Object param1,
                               java.lang.Object param2)

      Creates a new message.
      Parameters:
        `message` - the message text.
        `param1` - parameter 1.
        `param2` - parameter 2.

    - #### SimpleMessage

          public SimpleMessage(java.lang.String message,
                               java.lang.Object param1,
                               java.lang.Object param2,
                               java.lang.Object param3)

      Creates a new message.
      Parameters:
        `message` - the message text.
        `param1` - parameter 1.
        `param2` - parameter 2.
        `param3` - parameter 3.

    - #### SimpleMessage

          public SimpleMessage(java.lang.String message,
                               java.lang.Object param1,
                               java.lang.Object param2,
                               java.lang.Object param3,
                               java.lang.Object param4)

      Creates a new message.
      Parameters:
        `message` - the message text.
        `param1` - parameter 1.
        `param2` - parameter 2.
        `param3` - parameter 3.
        `param4` - parameter 4.

    - #### SimpleMessage

          public SimpleMessage(java.lang.String message,
                               java.lang.Object[] param)

      Creates a new message.
      Parameters:
        `message` - the message text.
        `param` - the parameters.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representation of the message (useful for debugging).
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string.